## Class TPolygonHotSpot

Description

Class TPolygonHotSpot.

TPolygonHotSpot defines a polygon hot spot region in a TImageMap control.

- since: 3.0
- version: $Id: TImageMap.php 1913 2007-05-08 15:59:13Z xue $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /Web/UI/WebControls/TImageMap.php (line 783)

    TComponent
       |
       --THotSpot
          |
          --TPolygonHotSpot

Method Summary
string getCoordinates ()
string getShape ()
void setCoordinates (string $value)
Methods
getCoordinates (line 798)

- return: coordinates of the vertices defining the polygon. Coordinates are concatenated together with comma ','. Each pair represents (x,y) of a vertex.
- access: public

string getCoordinates ()

Redefinition of:

THotSpot::getCoordinates()

getShape (line 788)

- return: shape of this hotspot.
- access: public

string getShape ()

Redefinition of:

THotSpot::getShape()

setCoordinates (line 808)

- access: public

void setCoordinates (string $value)

- string $value: coordinates of the vertices defining the polygon. Coordinates are concatenated together with comma ','. Each pair represents (x,y) of a vertex.

#### Inherited Methods

Inherited From THotSpot

> THotSpot::getAccessKey()
> THotSpot::getAlternateText()
> THotSpot::getAttribute()
> THotSpot::getAttributes()
> THotSpot::getCausesValidation()
> THotSpot::getCoordinates()
> THotSpot::getHasAttributes()
> THotSpot::getHotSpotMode()
> THotSpot::getNavigateUrl()
> THotSpot::getPostBackValue()
> THotSpot::getShape()
> THotSpot::getTabIndex()
> THotSpot::getTarget()
> THotSpot::getValidationGroup()
> THotSpot::getViewState()
> THotSpot::hasAttribute()
> THotSpot::removeAttribute()
> THotSpot::render()
> THotSpot::setAccessKey()
> THotSpot::setAlternateText()
> THotSpot::setAttribute()
> THotSpot::setCausesValidation()
> THotSpot::setHotSpotMode()
> THotSpot::setNavigateUrl()
> THotSpot::setPostBackValue()
> THotSpot::setTabIndex()
> THotSpot::setTarget()
> THotSpot::setValidationGroup()
> THotSpot::setViewState()

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Documentation generated on Mon, 21 Apr 2008 11:35:17 -0400 by phpDocumentor 1.3.0RC4